// COPYRIGHT: FUNDACIÓN TECNALIA RESEARCH & INNOVATION, 2021.

const inquirer = require("inquirer")

const { createCLIApp, loginAndCallAfterwards } = require("@hypercog/utils")

const { bidAsset } = require("./lib")

const program = createCLIApp()

program
  .command("bid")
  .description("Bid for slag")
  .option("--asset-id [value]", "Identifier of the slag stock to bid for")
  .option("--quantity [value]", "Amount of slag you are interested in")
  .option("--price [value]", "Price offered for the slag")
  .action(loginAndCallAfterwards(bidAsset))

program.parse(process.argv)

// To be reused as a library in @hypercog/batch-sim
module.exports = { bidAsset }
