/**
 * status.go
 *
 * COPYRIGHT: FUNDACIÓN TECNALIA RESEARCH & INNOVATION, 2021.
 */

package constants


var ValidStatuses = map[string]string{
	"slag": "Individual slag",
	"batched": "Slag batch",
	"stocked": "Stocked slag",
	"sold": "Sold slag",
	"discarded": "Discarded slag",
}

func IsValidStatus(status string) bool {
	return ValidStatuses[status] != ""
}
